
Foreman - Bug #3931

compute resource vmware generates unknown VMODL type AnyType after upgrade to 1.3.2

12/30/2013 01:33 PM - Jelle B.

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After upgrading to foreman 1.3.2 the web ui started generating error "unknown VMODL type AnyType" with anything reladet to

vmware vcenter interactions.

Some googleing brought an issue with rbvmomi at version 1.8.1 to the service which causes this. The work around found was to

downgrade it to version 1.6.0.

This I can confirm fixed it without any drawbacks , so far.

on debian the file edited was /usr/share/foreman/bundler.d/vmware.rb

changed the line :

_  gem "rbvmomi"_

to

_  gem "rbvmomi", '~> 1.6.0'_

and re-ran bundle install, after that restarted foreman and nginx and all was working. This ia dependency to fog if my info is correct

but sofar I only found refferences on twitter.

Mind you besides  in the logs :

Rendered compute_resources_vms/_error.html.erb (0.1ms)

There are no loggedd errors so far (without debugging on !!)

Related issues:

Related to Foreman - Refactor #5018: Unpin rbvmomi 1.6.0 Closed 04/02/2014

Associated revisions

Revision de0804f0 - 01/22/2014 04:50 PM - Dmitri Dolguikh 

fixes #3931: rbvmomi gem has been pinned to ~> 1.6.0

Revision 9cccb8ca - 01/23/2014 11:31 AM - Dmitri Dolguikh 

fixes #3931: rbvmomi gem has been pinned to ~> 1.6.0

(cherry picked from commit de0804f0aa6e9aa61a223fb600a0c97d595695e7)

History

#1 - 01/02/2014 03:27 PM - Dominic Cleal

- Category set to Compute resources

- translation missing: en.field_release set to 2

Tentatively pinning to 1.4.0.. would be interested in any more reports of this.  We haven't updated RPMs yet from 1.6.0 to 1.8.1 either.

#2 - 01/07/2014 05:28 PM - Dominic Cleal
https://github.com/vmware/rbvmomi/issues/31

#3 - 01/09/2014 02:33 PM - Anonymous

- Target version set to 1.9.2

#4 - 01/22/2014 02:32 PM - Dominic Cleal

This should be pinned to ~> 1.6.0 in the meantime.

#5 - 01/22/2014 04:41 PM - Anonymous

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

PR: https://github.com/theforeman/foreman/pull/1187

#6 - 01/22/2014 06:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset de0804f0aa6e9aa61a223fb600a0c97d595695e7.

#7 - 04/02/2014 07:33 AM - Dominic Cleal

- Related to Refactor #5018: Unpin rbvmomi 1.6.0 added
